pluto(3)

NAME
pluto - Pluto

SYNOPSIS

  Functions
double LIBNOVA_EXPORT ln_get_pluto_sdiam (double JD)
Calculate the semidiameter of Pluto in arc seconds.
int LIBNOVA_EXPORT ln_get_pluto_rst (double JD, struct ln_lnlat_posn *observer, struct ln_rst_time *rst)
Calculate the time of rise, set and transit for Pluto.
void LIBNOVA_EXPORT ln_get_pluto_helio_coords (double JD, struct ln_helio_posn *position)
Calculate Pluto's heliocentric coordinates.
void LIBNOVA_EXPORT ln_get_pluto_equ_coords (double JD, struct ln_equ_posn *position)
Calculate Pluto's equatorial coordinates.
double LIBNOVA_EXPORT ln_get_pluto_earth_dist (double JD)
Calculate the distance between Pluto and the Earth.
double LIBNOVA_EXPORT ln_get_pluto_solar_dist (double JD)
Calculate the distance between Pluto and the Sun.
double LIBNOVA_EXPORT ln_get_pluto_magnitude (double JD)
Calculate the visible magnitude of Pluto.
double LIBNOVA_EXPORT ln_get_pluto_disk (double JD)
Calculate the illuminated fraction of Pluto's disk.
double LIBNOVA_EXPORT ln_get_pluto_phase (double JD)
Calculate the phase angle of Pluto.
void LIBNOVA_EXPORT ln_get_pluto_rect_helio (double JD, struct ln_rect_posn *position)
Calculate Plutos rectangular heliocentric coordinates.

Detailed Description

Functions relating to the planet Pluto.

All angles are expressed in degrees.

Function Documentation

  double LIBNOVA_EXPORT ln_get_pluto_disk (double JD)

Calculate the illuminated fraction of Pluto's disk.

Returns
    Illuminated fraction of Pluto's disk

Parameters
    JD Julian day

Returns
    Illuminated fraction of Plutos disk

Calculate the illuminated fraction of Pluto's disk for the given julian day.

References ln_get_earth_solar_dist(), ln_get_pluto_earth_dist(), ln_get_pluto_solar_dist(), and ln_helio_posn::R.

  double LIBNOVA_EXPORT ln_get_pluto_earth_dist (double JD)

Calculate the distance between Pluto and the Earth.

Returns
    distance in AU

Parameters
    JD Julian day

Returns
    Distance in AU

Calculates the distance in AU between the Earth and Pluto for the given julian day.

References ln_get_earth_helio_coords(), ln_get_pluto_helio_coords(), ln_get_rect_from_helio(), ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_pluto_disk(), ln_get_pluto_magnitude(), ln_get_pluto_phase(), and ln_get_pluto_sdiam().

  void LIBNOVA_EXPORT ln_get_pluto_equ_coords (double JD, struct ln_equ_posn * position)

Calculate Pluto's equatorial coordinates.

Parameters
    JD julian Day
    position Pointer to store position

Calculates Pluto's equatorial position for the given julian day.

References ln_equ_posn::dec, ln_get_pluto_helio_coords(), ln_get_rect_from_helio(), ln_get_solar_geom_coords(), ln_rad_to_deg(), ln_range_degrees(), ln_equ_posn::ra, ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_pluto_rst().

  void LIBNOVA_EXPORT ln_get_pluto_helio_coords (double JD, struct ln_helio_posn * position)

Calculate Pluto's heliocentric coordinates.

Parameters
    JD Julian Day
    position Pointer to store new heliocentric position

Calculate Pluto's heliocentric coordinates for the given julian day. This function is accurate to within 0.07" in longitude, 0.02" in latitude and 0.000006 AU in radius vector.

Note: This function is not valid outside the period of 1885-2099.

References ln_helio_posn::B, ln_helio_posn::L, ln_deg_to_rad(), and ln_helio_posn::R.

Referenced by ln_get_pluto_earth_dist(), ln_get_pluto_equ_coords(), ln_get_pluto_rect_helio(), and ln_get_pluto_solar_dist().

  double LIBNOVA_EXPORT ln_get_pluto_magnitude (double JD)

Calculate the visible magnitude of Pluto.

Returns
    Visible magnitude of Pluto.

Parameters
    JD Julian day

Returns
    Visible magnitude of Pluto

Calculate the visible magnitude of Pluto for the given julian day.

References ln_get_pluto_earth_dist(), and ln_get_pluto_solar_dist().

  double LIBNOVA_EXPORT ln_get_pluto_phase (double JD)

Calculate the phase angle of Pluto.

Returns
    Phase angle of Pluto (degrees).

Parameters
    JD Julian day

Returns
    Phase angle of Pluto (degrees)

Calculate the phase angle of Pluto (Sun - Pluto - Earth) for the given julian day.

References ln_get_earth_solar_dist(), ln_get_pluto_earth_dist(), ln_get_pluto_solar_dist(), ln_rad_to_deg(), and ln_helio_posn::R.

  void LIBNOVA_EXPORT ln_get_pluto_rect_helio (double JD, struct ln_rect_posn * position)

Calculate Plutos rectangular heliocentric coordinates.

Parameters
    JD Julian day.
    position pointer to return position

Calculate Plutos rectangular heliocentric coordinates for the given Julian day. Coordinates are in AU.

References ln_get_pluto_helio_coords(), and ln_get_rect_from_helio().

  int LIBNOVA_EXPORT ln_get_pluto_rst (double JD, struct ln_lnlat_posn * observer, struct ln_rst_time * rst)

Calculate the time of rise, set and transit for Pluto.

Parameters
    JD Julian day
    observer Observers position
    rst Pointer to store Rise, Set and Transit time in JD

Returns
    0 for success, else 1 for circumpolar.

Calculate the time the rise, set and transit (crosses the local meridian at upper culmination) time of Pluto for the given Julian day.

Note: this functions returns 1 if Pluto is circumpolar, that is it remains the whole day either above or below the horizon.

References ln_get_body_rst_horizon(), and ln_get_pluto_equ_coords().

  double LIBNOVA_EXPORT ln_get_pluto_sdiam (double JD)

Calculate the semidiameter of Pluto in arc seconds.

Parameters
    JD Julian day

Returns
    Semidiameter in arc seconds

Calculate the semidiameter of Pluto in arc seconds for the given julian day.

References ln_get_pluto_earth_dist().

  double LIBNOVA_EXPORT ln_get_pluto_solar_dist (double JD)

Calculate the distance between Pluto and the Sun.

Returns
    Distance in AU

Parameters
    JD Julian day

Returns
    Distance in AU

Calculates the distance in AU between the Sun and Pluto for the given julian day.

References ln_get_pluto_helio_coords(), and ln_helio_posn::R.

Referenced by ln_get_pluto_disk(), ln_get_pluto_magnitude(), and ln_get_pluto_phase().

Author

Generated automatically by Doxygen for libnova from the source code.